<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Acme Themes
 * @subpackage Read More
 */
global $read_more_customizer_all_values;
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="content-wrapper content-full">
		<?php read_more_entry_cats(); ?>
		<header class="entry-header">
			<?php the_title( sprintf( '<h2 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
		</header><!-- .entry-header -->
		<?php
		if ( $read_more_customizer_all_values['read-more-blog-archive-layout'] == 'full-image' && has_post_thumbnail() ) {
			?>
			<!--post thumbnal options-->
			<a href="<?php the_permalink(); ?>" class="full-image">
				<?php
				the_post_thumbnail( 'full', array( 'class' => 'aligncenter' ) );
				?>
			</a>

			<?php
		}
		?>
		<div class="row">
			<div class="col-md-3">
				<?php
				if ( 'post' === get_post_type() ) : ?>
					<div class="entry-meta">
						<?php read_more_posted_on(); ?>
					</div><!-- .entry-meta -->
					<?php
				endif; ?>
			</div>
			<div class="col-md-9">
				<div class="entry-content">
					<?php
					the_excerpt();
					?>
					<a class="read-more" href="<?php the_permalink(); ?> "><?php _e('Read More', 'read-more'); ?></a>
					<?php
					wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'read-more' ),
						'after'  => '</div>',
					) );
					?>
				</div><!-- .entry-content -->
			</div>
		</div>
		<div class="clearfix"></div>
	</div>

</article><!-- #post-## -->